OpenVDB 11.0.0

Loading...
Searching...
No Matches
openvdb_houdini::node_info_text Namespace Reference

Namespace to hold functionality for registering info text callbacks. Whenever getNodeSpecificInfoText() is called, the default info text is added to MMB output unless a valid callback has been registered for the grid type. More...

## Detailed Description

Namespace to hold functionality for registering info text callbacks. Whenever getNodeSpecificInfoText() is called, the default info text is added to MMB output unless a valid callback has been registered for the grid type.

Use node_info_text::registerGridSpecificInfoText<> to register a grid type to a function pointer which matches the ApplyGridSpecificInfoText signature.

void floatGridText(std::ostream&, const openvdb::GridBase&);

node_info_text::registerGridSpecificInfoText<openvdb::FloatGrid>(&floatGridText);